落書き part-4

【 お知らせ 】

スパム対策の為、一部のIPアドレスからのコメント投稿とトラックバック受付を拒否しています。これにより "巻き添え" になられた方がいらっしゃいましたら、メールフォームより御連絡頂ければ対応させて頂きます。お手数をお掛けしますが、宜しくお願い致します。

過去の日記

2006年10月25日(水)

_ Firefox 2.0 リリース

1.5 リリースから約11ヶ月ぶりのメジャーバージョンアップです。

現在 1.5.0.x を使用されている場合、自動更新機能による 2.0 へのバージョンアップは行われません。これは、メジャーバージョンアップの場合は旧バージョンからの変更点が多岐にわたること、新バージョンに未対応の拡張機能やテーマなどが正常に動作しない可能性があること、などから、自動更新機能によるユーザの混乱を避ける為のようです。従って、2.0 を使用する為には、インストール用ファイル(例えば Firefox Setup 2.0.exe) をダウンロードしてきてインストール作業を行う必要があります。

Windows用インストーラの話になりますが、1.5.0.x を「標準インストール」で行ったユーザ(多くの一般ユーザはそうでしょう)の場合、2.0 も「標準インストール」で行うと、1.5.0.x が 2.0 で上書きされます。また、プロファイルも、1.5.0.x で使用されていたものが 2.0 でも使用されます。

1.5.0.x の環境を残して置きたい場合はプロファイルも含めて退避させておくか、2.0 のインストール時に「カスタムインストール」を選択して、インストール先フォルダをデフォルトとは異なるものに変更する必要があります。この場合は、プロファイルも 2.0 用のものを新規に作成する必要があります。

1.5.0.x 環境をそのまま 2.0 にバージョンアップした場合、2.0 の初回起動時に拡張機能やテーマの互換性チェックが行われ、2.0 に対応していないものは無効化されます。2.0 に未対応の拡張機能やテーマに関しては、Nightly Tester Tools という拡張機能を使用する、あるいは、about:configextensions.checkCompatibility という項目名を新規作成してその値を false に設定する、等々の方法を用いることで強引にインストール又は有効化を行うことが可能となります。但し、これらの方法はあくまでも 2.0 に未対応の拡張機能やテーマのインストール又は有効化を行うだけであり、それらの拡張機能やテーマが 2.0 で正常動作することを保証するものではありません。

※ 自分にとって必要な拡張機能やテーマが 2.0 に未対応の場合、それらが 2.0 に対応するまで Firefox 2.0 へのバージョンアップを控えるというのも一つの選択肢だと思います。

個人的には、今まで愛用してきた Whitehart というテーマが 2.0 に対応してくれるのを切望しているのですが、開発担当者の交替などもあって対応はかなり遅れそうな雰囲気です。(そもそも 2.0 対応版が出るのかどうかも不明)

【 10月27日 追記 】

Whitehart ですが、Whitehart - 1.1 update - MozillaZine Forums において、2.0 への対応が進められています。27日現在、2.0 対応リリース候補版の whitehart-1.8-RC2.jar が公開されています。嬉しい(^_^)

Tags: Mozilla

_ 強引に有効化した拡張機能

私が常用している拡張機能の内、Firefox 2.0 に未対応で、バージョンアップに際して強引に有効化したものは下記の3つです。

(1) PrefBar 3.3.1
正常に動作している感じ。
(2) Copy URL+ 1.3.2
正常に動作している感じ。
(3) LiveHTTPHeaders 0.12
ヘッダ情報が取得出来ません。つまり、この拡張機能の肝心要の部分が正常動作しないという致命的な問題が出ています。正式な対応版に期待するしかなさそうです。
【追記】 Bug 15235 - Broken on Firefox 2.0rc1 のコメント #7 で提供されている attachment (id=4208) をインストールすることによって、ヘッダ情報が正常に表示されるようになりました。

PrefBar と Copy URL+ については、「私が使っている範囲では正常動作」という意味です。従って、問題が発生している部分に私が気が付いていないだけ、という可能性もあります。

なお、以前にも書きましたが、Sage 1.3.8 は 2.0 対応となってはいますが、検索機能が動作しないという不具合が有ります。この不具合は、開発版の Sage 1.4 でも発生します。

_ Firefox 2.0 の Tips

朝顔日記さんの力作です。参考になる情報が "てんこ盛り" です。感謝。

本日のコメント(全6件) [コメントを入れる]
haku (2006年10月25日(水) 15:54)

フライング情報サンキュウです。早速入れました。<br>ぱそ困の表示が早くなったような気が。気のせいかな。<br>しばらく様子を見て問題なさげなら他のPCにも入れます。<br>どこぞの会社と違って完成度・信頼性はあると思いますが、念のためです。

tomcat (2006年10月25日(水) 19:13)

hakuさん、どうもです。<br><br>> ぱそ困の表示が早くなったような気が。気のせいかな。<br><br>うーん、多分気のせいのように思いますが…<br><br>> しばらく様子を見て問題なさげなら他のPCにも入れます。<br><br>賢明な御判断だと思います。(^_^)

おやぢ (2006年10月29日(日) 10:13)

|・∀・` )ノ まいど!<br>http://menushowdelay.blog13.fc2.com/blog-entry-468.html<br>で、やや強引にリンクさせていただきますた。<br><br>そうそう。<br>2.0になって、忍者ツールズの煙巻きコントロールを使ってる漏れやA子タソのBLOGの表示は確実に速くなりますたよん。<br>IE系のブラウザとは天と地の差があります。<br>理由なんかわかりませんけど。

tomcat (2006年10月29日(日) 18:48)

おやぢさん、まいどです。<br><br>> やや強引にリンクさせていただきますた。 <br><br>いえいえ、こちらこそ恐縮です。<br><br>> 2.0になって、忍者ツールズの煙巻きコントロールを使ってる漏れやA子タソのBLOGの表示は確実に速くなりますたよん。 <br><br>忍者ツールズって、JavaScript を使ってますよね。<br>よく分からないけど、2.0 で JavaScript 1.7 になったのが何か関係しているのかなぁ…?

ひなた (2006年10月30日(月) 22:48)

拡張使わなくても…使い勝手がいいではダメですか?<br><br>こっそり「おやぢファン」ですが(^^ゞ                                                                                                            

tomcat (2006年10月30日(月) 23:37)

> 拡張使わなくても…使い勝手がいいではダメですか?<br><br>全然OKですよ。<br>使っている本人が素の Firefox で不満が無いのなら、無理に拡張機能を利用する必要は全くありませんよ。<br>拡張機能を入れれば入れるほど、起動に要する時間は増えていきますし、動作も重くなっていきますからね。<br>Firefox 2 は素の状態でも十分な機能を持っていると思いますよ。<br><br>Firefoxは素顔でも美人です!


過去の日記